Bug 1915 - add authorization test for myproxy-server with myproxy@fqhn service certificate
: add authorization test for myproxy-server with myproxy@fqhn service certificate
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: 1.2
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-09-09 14:59 by
Modified: 2005-12-05 17:24 (History)


Attachments
jglobus/src/org/globus/myproxy/MyProxyServerAuthorization.java (1.69 KB, text/plain)
2004-09-09 15:01, Jim Basney
Details
patch to use new MyProxyServerAuthorization class (1.38 KB, patch)
2004-09-09 15:02, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-09 14:59:40
I'd like to allow running the myproxy-server with a myproxy@fqhn service
certificate, rather than a host certificate, so it's not necessary to run the
myproxy-server as root.  I'm attaching a new
jglobus/src/org/globus/myproxy/MyProxyServerAuthorization.java file and a patch
to jglobus/src/org/globus/myproxy/MyProxy.java that changes the CoG MyProxy
client to support this change.  I'd appreciate it if you could include this new
functionality in a future release.
------- Comment #1 From 2004-09-09 15:01:46 -------
Created an attachment (id=432) [details]
jglobus/src/org/globus/myproxy/MyProxyServerAuthorization.java

New file adds MyProxyServerAuthorization class.
------- Comment #2 From 2004-09-09 15:02:26 -------
Created an attachment (id=433) [details]
patch to use new MyProxyServerAuthorization class
------- Comment #3 From 2004-09-14 00:12:28 -------
Patch committed. Thanks!